| Version: 3.2.5

Classes | Enumerations | Variables
graphics.h File Reference

## Classes

class | wxGraphicsPath
| A wxGraphicsPath is a native representation of a geometric path. More...
class | wxGraphicsObject
| This class is the superclass of native graphics objects like pens etc. More...
class | wxGraphicsBitmap
| Represents a bitmap. More...
class | wxGraphicsContext
| A wxGraphicsContext instance is the object that is drawn upon. More...
class | wxGraphicsGradientStop
| Represents a single gradient stop in a collection of gradient stops as represented by wxGraphicsGradientStops. More...
class | wxGraphicsGradientStops
| Represents a collection of wxGraphicGradientStop values for use with CreateLinearGradientBrush and CreateRadialGradientBrush. More...
class | wxGraphicsRenderer
| A wxGraphicsRenderer is the instance corresponding to the rendering engine used. More...
class | wxGraphicsBrush
| A wxGraphicsBrush is a native representation of a brush. More...
class | wxGraphicsFont
| A wxGraphicsFont is a native representation of a font. More...
class | wxGraphicsPenInfo
| This class is a helper used for wxGraphicsPen creation using named parameter idiom: it allows specifying various wxGraphicsPen attributes using the chained calls to its clearly named methods instead of passing them in the fixed order to wxGraphicsPen constructors. More...
class | wxGraphicsPen
| A wxGraphicsPen is a native representation of a pen. More...
class | wxGraphicsMatrix
| A wxGraphicsMatrix is a native representation of an affine matrix. More...

## Enumerations

enum | wxAntialiasMode { wxANTIALIAS_NONE , wxANTIALIAS_DEFAULT }
| Anti-aliasing modes used by wxGraphicsContext::SetAntialiasMode(). More...
enum | wxInterpolationQuality { wxINTERPOLATION_DEFAULT , wxINTERPOLATION_NONE , wxINTERPOLATION_FAST , wxINTERPOLATION_GOOD , wxINTERPOLATION_BEST }
| Interpolation quality used by wxGraphicsContext::SetInterpolationQuality(). More...
enum | wxCompositionMode { wxCOMPOSITION_INVALID = -1 , wxCOMPOSITION_CLEAR , wxCOMPOSITION_SOURCE , wxCOMPOSITION_OVER , wxCOMPOSITION_IN , wxCOMPOSITION_OUT , wxCOMPOSITION_ATOP , wxCOMPOSITION_DEST , wxCOMPOSITION_DEST_OVER , wxCOMPOSITION_DEST_IN , wxCOMPOSITION_DEST_OUT , wxCOMPOSITION_DEST_ATOP , wxCOMPOSITION_XOR , wxCOMPOSITION_ADD , wxCOMPOSITION_DIFF }
| Compositing is done using Porter-Duff compositions (see http://keithp.com/~keithp/porterduff/p253-porter.pdf) with wxGraphicsContext::SetCompositionMode(). More...
enum | wxGradientType { wxGRADIENT_NONE , wxGRADIENT_LINEAR , wxGRADIENT_RADIAL }
| Used to indicate what kind of gradient is set in a wxGraphicsPenInfo object. More...

## Variables

const wxGraphicsPen | wxNullGraphicsPen
const wxGraphicsBrush | wxNullGraphicsBrush
const wxGraphicsFont | wxNullGraphicsFont
const wxGraphicsBitmap | wxNullGraphicsBitmap
const wxGraphicsMatrix | wxNullGraphicsMatrix
const wxGraphicsPath | wxNullGraphicsPath

## Enumeration Type Documentation

## ◆ wxAntialiasMode

enum wxAntialiasMode

Anti-aliasing modes used by wxGraphicsContext::SetAntialiasMode().

Enumerator
wxANTIALIAS_NONE | No anti-aliasing.
wxANTIALIAS_DEFAULT | The default anti-aliasing.

## ◆ wxCompositionMode

enum wxCompositionMode

Compositing is done using Porter-Duff compositions (see http://keithp.com/~keithp/porterduff/p253-porter.pdf) with wxGraphicsContext::SetCompositionMode().

The description give a short equation on how the values of a resulting pixel are calculated. R = Result, S = Source, D = Destination, colors premultiplied with alpha Ra, Sa, Da their alpha components

Enumerator

wxCOMPOSITION_INVALID

Indicates invalid or unsupported composition mode.

This value can't be passed to wxGraphicsContext::SetCompositionMode().

Since
  2.9.2

wxCOMPOSITION_CLEAR | R = 0
wxCOMPOSITION_SOURCE | R = S
wxCOMPOSITION_OVER | R = S + D*(1 - Sa)
wxCOMPOSITION_IN | R = S*Da
wxCOMPOSITION_OUT | R = S*(1 - Da)
wxCOMPOSITION_ATOP | R = S*Da + D*(1 - Sa)
wxCOMPOSITION_DEST | R = D, essentially a noop
wxCOMPOSITION_DEST_OVER | R = S*(1 - Da) + D
wxCOMPOSITION_DEST_IN | R = D*Sa
wxCOMPOSITION_DEST_OUT | R = D*(1 - Sa)
wxCOMPOSITION_DEST_ATOP | R = S*(1 - Da) + D*Sa
wxCOMPOSITION_XOR | R = S*(1 - Da) + D*(1 - Sa)
wxCOMPOSITION_ADD | R = S + D

wxCOMPOSITION_DIFF

Result is the absolute value of the difference between the source and the destination.

This composition mode is only supported by Cairo and CoreGraphics-based implementations, i.e. in wxGTK and wxOSX only (unless Cairo-based renderer is explicitly under the other platforms).

When the source colour is white, this mode can be used to emulate wxINVERT logical function of wxDC, i.e. drawing using this mode twice restores the original contents.

Since
  3.2.0

## ◆ wxGradientType

enum wxGradientType

Used to indicate what kind of gradient is set in a wxGraphicsPenInfo object.

Since
  3.1.3

Enumerator
wxGRADIENT_NONE |
wxGRADIENT_LINEAR |
wxGRADIENT_RADIAL |

## ◆ wxInterpolationQuality

enum wxInterpolationQuality

Interpolation quality used by wxGraphicsContext::SetInterpolationQuality().

Enumerator
wxINTERPOLATION_DEFAULT | default interpolation, based on type of context, in general medium quality
wxINTERPOLATION_NONE | no interpolation
wxINTERPOLATION_FAST | fast interpolation, suited for interactivity
wxINTERPOLATION_GOOD | better quality
wxINTERPOLATION_BEST | best quality, not suited for interactivity

## Variable Documentation

## ◆ wxNullGraphicsBitmap

const wxGraphicsBitmap wxNullGraphicsBitmap

## ◆ wxNullGraphicsBrush

const wxGraphicsBrush wxNullGraphicsBrush

## ◆ wxNullGraphicsFont

const wxGraphicsFont wxNullGraphicsFont

## ◆ wxNullGraphicsMatrix

const wxGraphicsMatrix wxNullGraphicsMatrix

## ◆ wxNullGraphicsPath

const wxGraphicsPath wxNullGraphicsPath

## ◆ wxNullGraphicsPen

const wxGraphicsPen wxNullGraphicsPen